Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class HTMLWriterEx

    java.lang.Object
      com.sun.javatest.util.HTMLWriter
          com.sun.javatest.report.HTMLWriterEx

    public class HTMLWriterEx

extends HTMLWriter

A class to facilitate writing HTML via a stream. Extends HTMLWriter and adds some specific functionality which requires newer than JDK 1.1 API The base class, according to the convention, must be compatible with jdk 1.1 so such functionality was implemented here outside of com.sun.javatest.util

See Also:
  `HTMLWriter`

Field Summary

Fields inherited from class com.sun.javatest.util.HTMLWriter
`A, ALIGN, B, BODY, BORDER, BR, CLASSID, CODE, COL, COLOR, FONT, H1, H2, H3, H4, HEAD, HR, HREF, HTML, I, IMAGE, LEFT, LI, LINK, NAME, OBJECT, P, PARAM, REL, RIGHT, ROW, SCOPE, SMALL, SRC, STYLE, TABLE, TD, TH, TITLE, TOP, TR, TYPE, UL, VALIGN, VALUE`

Constructor Summary
`HTMLWriterEx(java.io.Writer out)` Create an HTMLWriterEx object, using a default doctype for HTML 3.2.
`HTMLWriterEx(java.io.Writer out, I18NResourceBundle i18n)` Create an HTMLWriterEx object, using a specified bundle for localizing messages.
`HTMLWriterEx(java.io.Writer out, java.lang.String docType)` Create an HTMLWriterEx object, using a specified doctype header.
`HTMLWriterEx(java.io.Writer out, java.lang.String docType, I18NResourceBundle i18n)` Create an HTMLWriterEx object, using a specified doctype header and using a specified bundle for localizing messages.

Method Summary
`void` | `writeContentMeta()` Write Content-Type meta tag using default charset: This must go inside the element!

Methods inherited from class com.sun.javatest.util.HTMLWriter
`close, closePrevTag, endEmptyTag, endTag, flush, newLine, setI18NResourceBundle, startTag, write, write, write, write, writeAttr, writeAttr, writeEntity, writeI18N, writeI18N, writeI18N, writeImage, writeImage, writeLine, writeLink, writeLink, writeLink, writeLink, writeLinkDestination, writeParam, writeRaw, writeStyleAttr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLWriterEx

    public HTMLWriterEx(java.io.Writer out)
                 throws java.io.IOException

  Create an HTMLWriterEx object, using a default doctype for HTML 3.2.

  Parameters:
    `out` - a Writer to which to write the generated HTML
  Throws:
    `java.io.IOException` - if there is a problem writing to the underlying stream

### HTMLWriterEx

    public HTMLWriterEx(java.io.Writer out,
                        java.lang.String docType)
                 throws java.io.IOException

  Create an HTMLWriterEx object, using a specified doctype header.

  Parameters:
    `out` - a Writer to which to write the generated HTML
    `docType` - a string containing a doctype header for the HTML to be generated
  Throws:
    `java.io.IOException` - if there is a problem writing to the underlying stream

### HTMLWriterEx

    public HTMLWriterEx(java.io.Writer out,
                        I18NResourceBundle i18n)
                 throws java.io.IOException

  Create an HTMLWriterEx object, using a specified bundle for localizing messages.

  Parameters:
    `out` - a Writer to which to write the generated HTML
    `i18n` - a resource bundle to use to localize messages
  Throws:
    `java.io.IOException` - if there is a problem writing to the underlying stream

### HTMLWriterEx

    public HTMLWriterEx(java.io.Writer out,
                        java.lang.String docType,
                        I18NResourceBundle i18n)
                 throws java.io.IOException

  Create an HTMLWriterEx object, using a specified doctype header and using a specified bundle for localizing messages.

  Parameters:
    `out` - a Writer to which to write the generated HTML
    `docType` - a string containing a doctype header for the HTML to be generated
    `i18n` - a resource bundle to use to localize messages
  Throws:
    `java.io.IOException` - if there is a problem writing to the underlying stream

Method Detail

### writeContentMeta

    public void writeContentMeta()
                          throws java.io.IOException

  Write Content-Type meta tag using default charset: This must go inside the element!

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.